/* eslint-disable no-undef */
import configureMockStore from 'redux-mock-store';
import thunkMiddleware from 'redux-thunk';
import MockAdapter from 'axios-mock-adapter';
import axios from 'axios';
import { getCategory, GET_CATEGORY_DATA } from './index';

const mockStore = configureMockStore([thunkMiddleware]);
const mock = new MockAdapter(axios);
mock.onGet('http://localhost:3000/getCategory').reply(200, {
  data: {
    id: 'shop/new/all-new',
    name: 'All New',
    categoryType: 'subcat',
  },
});

const store = mockStore({});

describe('Testing getCategory() service', () => {
  beforeEach(() => {
    store.clearActions();
  });

  it('should get GET_CATEGORY_DATA', async () => {
    await store.dispatch(getCategory()).then(() => {
      const expectedActions = [{
        type: GET_CATEGORY_DATA,
        payload: {
          data:
          {
            id: 'shop/new/all-new',
            name: 'All New',
            categoryType: 'subcat',
          },
        },
      }];
      expect(store.getActions()).toEqual(expectedActions);
    });
  });
});
