/* eslint-disable react/no-array-index-key */
/* eslint-disable react/prop-types */
import React from 'react';
import AwesomeSlider from 'react-awesome-slider';
import AwesomeSliderStyles from 'react-awesome-slider/src/styles';
import './Overlay.scss';

export default function Overlay({ images, closeoverlay }) {
  return (
    <div className="overlay">
      <AwesomeSlider cssModule={AwesomeSliderStyles}>
        {images.map((image, index) => <div key={index} data-src={image.href} />)}
      </AwesomeSlider>
      <button
        className="close-button"
        data-close
        aria-label="Close modal"
        type="button"
        onClick={closeoverlay}
      >
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  );
}
