/* eslint-disable react/jsx-curly-newline */
/* eslint-disable indent */
/* eslint-disable react/jsx-closing-tag-location */
/* eslint-disable react/jsx-one-expression-per-line */
/* eslint-disable react/jsx-wrap-multilines */
/* eslint-disable no-nested-ternary */
/* eslint-disable react/prop-types */
/* eslint-disable max-len */
import React from 'react';
import Parser from 'html-react-parser';
import './ProductThumbnail.scss';

export default function ProductThumbnail({ product }) {
  const {
    name,
    id,
    price,
    priceRange,
  } = product;

  let regularHigh;
  let regularLow;
  let sellingHigh;
  let sellingLow;

  if (priceRange) {
    if (priceRange.regular) {
      regularHigh = priceRange.regular.high;
      regularLow = priceRange.regular.low;
    }

    if (priceRange.selling) {
      sellingHigh = priceRange.selling.high;
      sellingLow = priceRange.selling.low;
    }
  }

  let regularPrice;
  let sellingPrice;

  if (price) {
    regularPrice = price.regular;
    if (price.selling) {
      sellingPrice = price.selling;
    }
  }

  // eslint-disable-next-line prefer-const
  let image = product.thumbnail.href;

  return (
    <>
      <div className="cell thumbnail">
        <div className="product-card" >
          <div className="product-card-thumbnail">
            <a className="product-main-image" href={`/shop/${id}`}><img src={image} alt={name} /></a>
          </div>
          <h6 className="product-card-title">
            <a className="product-name" href={`/shop/${id}`}>{Parser(name)}</a>
          </h6>
          <div>
            {regularHigh ?
              <span className="product-card-old-price">
                Original Price: ${regularLow}-${regularHigh}
              </span>
              : regularPrice
                ? <span className="product-card-regular-price">
                  Original Price: ${regularPrice}
                </span> : ''}
          </div>
          <div>
            <span className="product-card-sale-price">
              Sale Price: ${sellingHigh
                ? `${sellingLow} - $${sellingHigh}`
                : sellingPrice
              }
            </span>
          </div>
        </div>
      </div>
    </>
  );
}
